# -*- coding: utf-8 -*-
# Generated by Django 1.10.4 on 2016-12-29 16:28
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Forum',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('description', models.TextField()),
                ('closed', models.DateTimeField(blank=True, null=True)),
                ('last_modified', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('view_count', models.IntegerField(default=0, editable=False)),
                ('post_count', models.IntegerField(default=0, editable=False)),
            ],
        ),
        migrations.CreateModel(
            name='ForumCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='subcategories', to='pinax_forums.ForumCategory')),
            ],
            options={
                'verbose_name_plural': 'forum categories',
            },
        ),
        migrations.CreateModel(
            name='ForumReply',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.TextField()),
                ('content_html', models.TextField()),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pinax_forums_forumreply_related', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'forum reply',
                'verbose_name_plural': 'forum replies',
            },
        ),
        migrations.CreateModel(
            name='ForumThread',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.TextField()),
                ('content_html', models.TextField()),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('title', models.CharField(max_length=100)),
                ('last_modified', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('sticky', models.IntegerField(default=0)),
                ('closed', models.DateTimeField(blank=True, null=True)),
                ('view_count', models.IntegerField(default=0, editable=False)),
                ('reply_count', models.IntegerField(default=0, editable=False)),
                ('subscriber_count', models.IntegerField(default=0, editable=False)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pinax_forums_forumthread_related', to=settings.AUTH_USER_MODEL)),
                ('forum', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='threads', to='pinax_forums.Forum')),
                ('last_reply', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, to='pinax_forums.ForumReply')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ThreadSubscription',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('kind', models.CharField(max_length=15)),
                ('thread', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subscriptions', to='pinax_forums.ForumThread')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='forum_subscriptions', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserPostCount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('count', models.IntegerField(default=0)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='post_count', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='forumreply',
            name='thread',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='replies', to='pinax_forums.ForumThread'),
        ),
        migrations.AddField(
            model_name='forum',
            name='category',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='pinax_forums.ForumCategory'),
        ),
        migrations.AddField(
            model_name='forum',
            name='last_thread',
            field=models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='pinax_forums.ForumThread'),
        ),
        migrations.AddField(
            model_name='forum',
            name='parent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='subforums', to='pinax_forums.Forum'),
        ),
        migrations.AlterUniqueTogether(
            name='threadsubscription',
            unique_together=set([('thread', 'user', 'kind')]),
        ),
    ]
